/*  ==========================================================================
    Footer
    ========================================================================== */

/*
    Block
    ========================================================================== */

.l-footer {
    text-align: center;
    @include vs-spacing(padding-top, 30px, 60px);
    @include vs-spacing(padding-bottom, 30px, 60px);

    ul {
        display: inline-block;
    }

    li {
        float: left;
    }
}

/*
    Elements
    ========================================================================== */

.l-footer__social {
    margin-bottom: 35px;

    li {
        margin: 0 3px;
        width: 40px;
    }

    a {
        transition: 300ms ease opacity;
        display: block;

        &:hover {
            opacity: 0.7;
        }
    }

    h3 {
        margin-bottom: 20px;
    }
}

.l-footer__nav {
    margin-bottom: 22px;

    li {
        margin: 0px 8px;

        @include breakpoint( mobile down ) {
            float: none;
            margin-bottom: 5px;
        }
    }

    a {
        color: $c-white;
        position: relative;

        &:hover {

            &:after {
                border-bottom: 1px solid $c-white;
            }
        }

        &:after {
            content: '';
            display: block;
            border-bottom: 1px solid transparent;
            width: 100%;
            transition: border 300ms ease;
        }
    }
}

.l-footer__copy {
    line-height: 1.5;

    a {
        color: map-get( $c-colours, light-grey );
        position: relative;
        display: inline-block;

        &:hover {

            &:after {
                border-bottom: 1px solid map-get( $c-colours, light-grey );
            }
        }

        &:after {
            content: '';
            display: block;
            border-bottom: 1px solid transparent;
            width: 100%;
            transition: border 300ms ease;
        }
    }
}